Inventor Customization

Reply
Member
rrdeveloper
Posts: 5
Registered: ‎07-13-2011
Message 1 of 5 (630 Views)
Accepted Solution

Turn off Translucent using VBA

630 Views, 4 Replies
11-10-2011 08:36 PM

Hi All,

I'm trying to make a translucent part file to a opaque part file by using the below code

    Dim oDocument As Document
    Set oDocument = ThisApplication.ActiveDocument
    oDocument.ActiveRenderStyle.Opacity = 1    'making the body opaque

 

But it doesnot help.Can someone please let me know how to do it through code.

 

PS: attached is the process of doing it manually

 

Thank You

Valued Mentor
JohanLarsson
Posts: 425
Registered: ‎06-14-2005
Message 2 of 5 (619 Views)

Re: Turn off Translucent using VBA

11-12-2011 07:19 AM in reply to: rrdeveloper

Like this?

 

Public Sub TranslucentTest()
    Dim app As Inventor.Application
    Set app = ThisApplication
    Dim partDoc As PartDocument
    Set partDoc = app.ActiveDocument
    Dim oWorkSurface As WorkSurface
    Set oWorkSurface = partDoc.ComponentDefinition.WorkSurfaces.Item(1)
    oWorkSurface.Translucent = False
   
End Sub

 

-------------------------------------------------------------------------
Inventor Professional 2012 SP1 (25 seats with subscription)
Windows 7 64 bit
Lenovo D20, 12 GB RAM, Intel Xeon X5687 3.6 GHz, SSD
Quadro 4000, driver 8.17.12.9573, dual monitors
SpacePilot, driver version 6.15.3 Firmware 3.12
Member
rrdeveloper
Posts: 5
Registered: ‎07-13-2011
Message 3 of 5 (608 Views)

Re: Turn off Translucent using VBA

11-13-2011 07:40 PM in reply to: JohanLarsson

Thank You.

I works as expected :womanvery-happy:

Active Member
jalexander
Posts: 8
Registered: ‎10-07-2008
Message 4 of 5 (543 Views)

Re: Turn off Translucent using VBA

03-14-2012 07:40 AM in reply to: JohanLarsson

This works for part docs only, is there any way we can improve upon this to change all part surfaces in an assembly file instead of opening each part that has a surface individually?

Member
rrdeveloper
Posts: 5
Registered: ‎07-13-2011
Message 5 of 5 (530 Views)

Re: Turn off Translucent using VBA

03-14-2012 08:47 PM in reply to: jalexander

Public Sub TranslucentTest()
      Dim app As Inventor.Application
      Set app = ThisApplication
        Dim oModel As AssemblyDocument
        Set oModel = ThisApplication.ActiveDocument '.iam file
        'or open the assembly file as below
        'Set oModel = ThisApplication.Documents.Open("D:\TestAssm.iam", False)
       'then identify each part in the assembly & set the surface to opaque
      Dim partDoc As PartDocument
      For i = 1 To oModel.ComponentDefinition.Occurrences.Count
       Set partDoc = oModel.ComponentDefinition.Occurrences.Item(i).Definition.Document
        Dim oWorkSurface As WorkSurface
        Set oWorkSurface = partDoc.ComponentDefinition.WorkSurfaces.Item(1)
        oWorkSurface.Translucent = False
       Next
  
End Sub

 

////////////////

The above code identifies each part in the assembly & changes its surface

Hope this helps

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community


Inventor Exchange Apps

Created by the community for the community, Autodesk Exchange Apps for Autodesk Inventor helps you achieve greater speed, accuracy, and automation from concept to manufacturing.

Connect with Inventor

Twitter

Facebook

Blogs

Pinterest

Youtube